GNU bug report logs - #34440
Emacs GTK bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Aaron Honeycutt <aaron@HIDDEN>; Keywords: fixed; Done: Robert Pluim <rpluim@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 26.1, send any further explanations to 34440 <at> debbugs.gnu.org and Aaron Honeycutt <aaron@HIDDEN> Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34440 <at> debbugs.gnu.org:


Received: (at 34440) by debbugs.gnu.org; 13 Feb 2019 13:12:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 08:12:34 2019
Received: from localhost ([127.0.0.1]:45881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtuL4-0005JG-1f
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2019 08:12:34 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:33314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>)
 id 1gtuL0-0005Iu-R1; Wed, 13 Feb 2019 08:12:31 -0500
Received: by mail-wr1-f50.google.com with SMTP id i12so2471110wrw.0;
 Wed, 13 Feb 2019 05:12:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=vR2SpCPEzUFHx7hbS5KaJA/aNPvGZgSV//zi1ePdWoc=;
 b=eUyFzWb2VpnliR2j3OwCrLU6XMzvDM3zg61ERQDlYcwcFl6+vphEONIs5nIC9lCSNd
 8v7g5pd5+ZA4Jv2X0T0I27AoWrXsXoQMCZSRTlWitV1xshifE8lXLt1oEbnMeUcIbDqX
 nJUIsae7/lynf2WXlnJlAa5gVf1WBopO1vkpiG2D130UKaT81nGtQMR7m2S89vVF9nKE
 4uL4uME7LR2wkTTbQ4VpA7UrHpDr3XHngwYlRxvNRzCz9xl381QZBPk3Ea1opn2RXSe3
 Z/QpNnUikJQ2oNg1n9WHxnyVOIlQfWSIdSlQOZ/2yTVibBPxsHWsxoKEs/KbpKLgjmkn
 91pQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=vR2SpCPEzUFHx7hbS5KaJA/aNPvGZgSV//zi1ePdWoc=;
 b=oudtBNCwyorXZHD7JBJB6g3YWBnJaVkxD7UsjRNS0fCw3iUnlgpcyRDdYhG/EeydVW
 POWoLvrRjfQi09EzwwXZVkc2Cv6qnELD/5igYPhIq0Ef2DFb82E/E/ebG8YSdNNz2yS8
 dMRiwj5adldJOjLVUv/XtR40nndHHBifggmYYSPFf0NAxjyUcxJPwN5JhIR9OJNVTCLo
 Td9//uzIedvuMsfoj0nWufLWtq8UY/uYj2+Leo9tU9AAWSu1b7nxfsbS7Ob6AwuhzFCT
 /j4Qg+VA1TSskxtBAN4I3OdE86SkZaDpfxVMu+q+zJ4dATje5bFq8zVEazkdfCH54Vmr
 TKEA==
X-Gm-Message-State: AHQUAuYWtL9qskYXLAPZNo2Jhicb1gjmSguQBFfJrHO5VfcQaV4sEYa8
 /+phcx/wRk8RoxVJEXx/kydu9Kvl
X-Google-Smtp-Source: AHgI3IbVXKp8fO34+nD0dOoP2fLToixrt6lorTuY1+oeHPPMmYlwiyWFi5u8Ytj/XpAisdXVOMg4PQ==
X-Received: by 2002:adf:ce91:: with SMTP id r17mr371692wrn.80.1550063544598;
 Wed, 13 Feb 2019 05:12:24 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:5d94:67b2:83da:2f37])
 by smtp.gmail.com with ESMTPSA id h9sm2516232wrv.11.2019.02.13.05.12.23
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Wed, 13 Feb 2019 05:12:23 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Aaron Honeycutt <aaron@HIDDEN>
Subject: Re: bug#34440: Emacs GTK bug
References: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
 <m2o97ijg8v.fsf@HIDDEN>
 <1549912199.2127518.1655757808.0D20EB48@HIDDEN>
 <1549991527.3909127.1656511088.41D9A49E@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 13 Feb 2019 14:12:22 +0100
In-Reply-To: <1549991527.3909127.1656511088.41D9A49E@HIDDEN>
 (Aaron Honeycutt's message of "Tue, 12 Feb 2019 10:12:07 -0700")
Message-ID: <m25ztn96ix.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34440
Cc: 34440 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 34440 fixed
close 34440 26.1
quit

Aaron Honeycutt <aaron@HIDDEN> writes:

> Compiled 1.26 from source on Ubuntu and it works better.
>

Thanks for testing, closing this bug.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34440; Package emacs. Full text available.
Disconnected #34440 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34440 <at> debbugs.gnu.org:


Received: (at 34440) by debbugs.gnu.org; 12 Feb 2019 17:12:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 12:12:19 2019
Received: from localhost ([127.0.0.1]:45106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtbbU-0007BL-Ux
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:12:17 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:59425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaron@HIDDEN>) id 1gtbbS-0007B7-Qj
 for 34440 <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:12:15 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id A8AE13260;
 Tue, 12 Feb 2019 12:12:08 -0500 (EST)
Received: from web3 ([10.202.2.213])
 by compute7.internal (MEProxy); Tue, 12 Feb 2019 12:12:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=5lPlMCPvbLG33YPeg5sb81nL4k4vmpvw5CNcrGPUs
 T8=; b=ZCqcXCQaOBHEATDPyaO2T9TbA+1bO4GPeL0Y6TemfQqfh5JAiLXof3KFw
 w7XG6SHG0xGn8cvdnmh83XJkHlatxBCwvWRO5eArJ6ut14nk3YgNPA5gnP3WFAso
 RYqGDBQbFfbHIgkuZ6kNWbY7e/fmZJ6snbc0J46Ccoo1jLSxwpLHoaEKmQNr+yyx
 Id4SHvHr7BVo/LrJEhCl+amRdNSNJu6ILLeUxfIBmjvp6EGfB+pYa8fw/n0ZQHyC
 6zHIdZCbre30PWJko3rN6huA+jFGrSm85rn7yllfreAUxVUPNfWguRMuxPAMbVn3
 DyruoADfQaoMzV8xkX5bycMbRFcwA==
X-ME-Sender: <xms:aP5iXMazS680e4kbkV4JfRDCs6pByYfTwwjkUdjrdvp33bA-oVm1Dw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledruddtuddgleejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefkhffvggfgtg
 fojghffffusehtqhertdertdejnecuhfhrohhmpeetrghrohhnucfjohhnvgihtghuthht
 uceorggrrhhonhesshihshhtvghmjeeirdgtohhmqeenucfrrghrrghmpehmrghilhhfrh
 homheprggrrhhonhesshihshhtvghmjeeirdgtohhmnecuvehluhhsthgvrhfuihiivgep
 td
X-ME-Proxy: <xmx:aP5iXPR58i8h6RET-oYSqqClyToKERYOpzrlA3LLGiIFoDIPsbLxew>
 <xmx:aP5iXGWEcvy7vW94GJeD6cwaBXRiSnZilZhVzm4i8fViZjbQ8Mz6Rw>
 <xmx:aP5iXOakIheNVyanExwfQZ-5gSsaaGE4AOLFwhtAhcTSFfs3Guv5UQ>
 <xmx:aP5iXB1nlFHtsvCb2sZjIgn9yRGLpYcPQvXpB8iKILZtN2gZ3Wzj4g>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id DA3D89E5C9; Tue, 12 Feb 2019 12:12:07 -0500 (EST)
Message-Id: <1549991527.3909127.1656511088.41D9A49E@HIDDEN>
From: Aaron Honeycutt <aaron@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-e97eb308
In-Reply-To: <1549912199.2127518.1655757808.0D20EB48@HIDDEN>
References: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
 <m2o97ijg8v.fsf@HIDDEN>
 <1549912199.2127518.1655757808.0D20EB48@HIDDEN>
Date: Tue, 12 Feb 2019 10:12:07 -0700
Subject: Re: bug#34440: Emacs GTK bug
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34440
Cc: 34440 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Compiled 1.26 from source on Ubuntu and it works better.

On Mon, Feb 11, 2019, at 12:09 PM, Aaron Honeycutt wrote:
> I only see a tar for 26 so I'll build that and report back.
>=20
> On Mon, Feb 11, 2019, at 12:07 PM, Robert Pluim wrote:
> > Aaron Honeycutt <aaron@HIDDEN> writes:
> >=20
> > > Hello Folks,
> > >
> > > I'm seeing a bug in the Ubuntu/Debian built of emacs-gtk which is
> > > version 1.25.2+1-11. When the display is set to 200% or more (for
> > > HiDPI panels) there is a rendering issue with non-standard modes that
> > > don't comes with standard Emacs. For example, you can open another
> > > frame by C-x-5-2 and then in the new frame, the menus will work
> > > sometimes.
> >=20
> > I assume that=CA=BCs some version of emacs 25. There have been many fix=
es
> > to HiDPI made to emacs since then. Would it be possible for you to try
> > emacs-26 or emacs-27?
> >=20
> > Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34440; Package emacs. Full text available.

Message received at 34440 <at> debbugs.gnu.org:


Received: (at 34440) by debbugs.gnu.org; 11 Feb 2019 19:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 14:10:08 2019
Received: from localhost ([127.0.0.1]:44111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtGy0-0002Tz-KZ
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 14:10:08 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:44691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaron@HIDDEN>) id 1gtGxy-0002TM-1Q
 for 34440 <at> debbugs.gnu.org; Mon, 11 Feb 2019 14:10:06 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 1E0812F8F;
 Mon, 11 Feb 2019 14:10:00 -0500 (EST)
Received: from web3 ([10.202.2.213])
 by compute7.internal (MEProxy); Mon, 11 Feb 2019 14:10:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=mt7M5XQ0giWkhkZ345ryCAutInyWTIWdVSDJjFaD4
 kY=; b=oKwuMGep/lgQ/6pK15M/lrKSjjslnZLIvdmsAjmYsKetJvgEpkIFhoi3j
 rKbr33gN4Urc35fxTTmJMIkXTMk3r6EqjtzEhwxpBctdcI2hY0oll7lO4/qBcl5a
 ZtYl1xkOEZV+7yUxl7HaY6lWjVqknFSI27+95yUSC7iwetzFKVoXTLHPgW33oCBd
 IjkvB/Hvt3W0TmjMNv2zS4dsGdMCfsmS7zQei+hjB1VKF81dLn26sl5iKb+rnyVl
 YUcWkxVM8FTNwysVJaCx3H6qvZV9JvdGLeBCySYrKrTNM2xeZCfX3e5ICqgiwg1b
 XqaJDSy3oBr0d8KHtNk8sNUcp1wFQ==
X-ME-Sender: <xms:h8hhXIFW7AXMdQFSPEixfbujC4CMOZWT3aQyo7ZP0TwXn33YIZLLoQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrleelgdelgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhepkffhvfgggfgtof
 hffffujgesthhqredtredtjeenucfhrhhomheptegrrhhonhcujfhonhgvhigtuhhtthcu
 oegrrghrohhnsehshihsthgvmhejiedrtghomheqnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpegrrghrohhnsehshihsthgvmhejiedrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:h8hhXDpfPhWRWbTRPl5z3jVJoz48EViVlPJt8yod4f-aYkr3UFLaDw>
 <xmx:h8hhXA0FaEd5S3bMUfF3_l-6sp85TzmaEZhLEE02CQljURXhqHtPsw>
 <xmx:h8hhXHDq_EJ8gYvqrcsIqafN0bfbN7mDvDs_Ka8QWJCXMRcQLeKd-Q>
 <xmx:h8hhXEs4C2xBhgrR3BqGbMg4EQGqOzwLjPO6odpPG68x111yuadsWA>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 563DB9E54B; Mon, 11 Feb 2019 14:09:59 -0500 (EST)
Message-Id: <1549912199.2127518.1655757808.0D20EB48@HIDDEN>
From: Aaron Honeycutt <aaron@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-950b8783
References: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
 <m2o97ijg8v.fsf@HIDDEN>
Date: Mon, 11 Feb 2019 12:09:59 -0700
Subject: Re: bug#34440: Emacs GTK bug
In-Reply-To: <m2o97ijg8v.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34440
Cc: 34440 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I only see a tar for 26 so I'll build that and report back.

On Mon, Feb 11, 2019, at 12:07 PM, Robert Pluim wrote:
> Aaron Honeycutt <aaron@HIDDEN> writes:
>=20
> > Hello Folks,
> >
> > I'm seeing a bug in the Ubuntu/Debian built of emacs-gtk which is
> > version 1.25.2+1-11. When the display is set to 200% or more (for
> > HiDPI panels) there is a rendering issue with non-standard modes that
> > don't comes with standard Emacs. For example, you can open another
> > frame by C-x-5-2 and then in the new frame, the menus will work
> > sometimes.
>=20
> I assume that=CA=BCs some version of emacs 25. There have been many fixes
> to HiDPI made to emacs since then. Would it be possible for you to try
> emacs-26 or emacs-27?
>=20
> Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34440; Package emacs. Full text available.

Message received at 34440 <at> debbugs.gnu.org:


Received: (at 34440) by debbugs.gnu.org; 11 Feb 2019 19:07:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 14:07:57 2019
Received: from localhost ([127.0.0.1]:44105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtGvt-0002QG-7N
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 14:07:57 -0500
Received: from mail-wm1-f45.google.com ([209.85.128.45]:36432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gtGvr-0002Q2-4Q
 for 34440 <at> debbugs.gnu.org; Mon, 11 Feb 2019 14:07:55 -0500
Received: by mail-wm1-f45.google.com with SMTP id j125so381731wmj.1
 for <34440 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 11:07:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=oXeZa4k227Ejuz24uXJq1SVDTzTn3BINsvJzLOTRgo4=;
 b=kj/9gGzjl7BLDRJQRPdHB/8fSCdxzZeIbhjRopCpshYfL1N1d5VpvuPbxzz6p8ZGtf
 d+o3jxoVqzSmT9TCdz9unu9eIu8JQLQKZS8V0GO6uzlYI8QYgnpssLHVPwsF5Y/9Ub46
 Ocde7COhN2g+oyXYMHJDUbEJHf6Q+HMsVzVB3ofdZhinNaa9LgD6OZZ/dNYu3rgcF8cL
 KR5i6laR1GPWeNcilx5gxFHPcSaNY2zKFyUwJjoUII25lJkv1Bo60Yz3GXxq94St84fk
 7AbXdxGzd9VcvzeAxxbwG4JhoCS1J53wROUOpyENsBNyZQtHl4e3O8lFpEZKSpualYlc
 UyJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=oXeZa4k227Ejuz24uXJq1SVDTzTn3BINsvJzLOTRgo4=;
 b=GcMjSu1ztVe3FTYn/vUW9S/FbcO57QMXVF/SRawTappIEosS6Y8ss1u4QWOPYS+hQD
 X1xvkgBYcSYtt0t+F+l7XQpGDi6xBh76jD1Jgeg+VkzVKingJQ6JxttxLmfHyeltlAAN
 tQDF8H4HOW3cVmvd6Fxjmc8AjGnnWotIqL6ex8GrArJ/WjICM9x02Twt4q1IQpbfJZAe
 3nTvrnB5BPm3pXGUgMGN4VeXUvrZuUFwWgmSdTKkIClPJC2POed0cIHIryvdNjnvRT7p
 wjbMFcL2xTEdvv34aj4yz+BccFzCwIgFK2O8ImcIlxQfGqy4rtbdPyPa6lGIltFfoLXk
 7PKQ==
X-Gm-Message-State: AHQUAubq+dDsHL+W4nAwvoKvPLLqg/MCrbf86ZsWxyHMVC7qOjT4gKyH
 pXgvZRcSibjqLiQ+nCLXwfOvtIbV
X-Google-Smtp-Source: AHgI3IZaIFJK1BE+qk1w6a40nhe7QUA5T6BTv4QdjVVZjNRISQSaf+JdGTZF6wN5nFrf5CGI1QZSEQ==
X-Received: by 2002:a1c:9aca:: with SMTP id c193mr767107wme.2.1549912066752;
 Mon, 11 Feb 2019 11:07:46 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:e4e2:f0cd:a2ee:b6da])
 by smtp.gmail.com with ESMTPSA id t12sm287906wmi.11.2019.02.11.11.07.44
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 11 Feb 2019 11:07:45 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Aaron Honeycutt <aaron@HIDDEN>
Subject: Re: bug#34440: Emacs GTK bug
References: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 11 Feb 2019 20:07:44 +0100
In-Reply-To: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
 (Aaron Honeycutt's message of "Mon, 11 Feb 2019 10:38:01 -0700")
Message-ID: <m2o97ijg8v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34440
Cc: 34440 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Aaron Honeycutt <aaron@HIDDEN> writes:

> Hello Folks,
>
> I'm seeing a bug in the Ubuntu/Debian built of emacs-gtk which is
> version 1.25.2+1-11. When the display is set to 200% or more (for
> HiDPI panels) there is a rendering issue with non-standard modes that
> don't comes with standard Emacs. For example, you can open another
> frame by C-x-5-2 and then in the new frame, the menus will work
> sometimes.

I assume that=CA=BCs some version of emacs 25. There have been many fixes
to HiDPI made to emacs since then. Would it be possible for you to try
emacs-26 or emacs-27?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34440; Package emacs. Full text available.
Merged 27667 34440. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2019 18:00:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 13:00:47 2019
Received: from localhost ([127.0.0.1]:44019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtFst-0001cg-7Y
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 13:00:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaron@HIDDEN>) id 1gtFX1-0000JO-JW
 for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 12:38:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:58498)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <aaron@HIDDEN>) id 1gtFWw-0005ON-Cf
 for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 12:38:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38248)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaron@HIDDEN>) id 1gtFWv-0000Ic-JK
 for bug-gnu-emacs@HIDDEN; Mon, 11 Feb 2019 12:38:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaron@HIDDEN>) id 1gtFWu-0005NE-Ry
 for bug-gnu-emacs@HIDDEN; Mon, 11 Feb 2019 12:38:05 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:39575)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <aaron@HIDDEN>) id 1gtFWu-0005Ln-Jj
 for bug-gnu-emacs@HIDDEN; Mon, 11 Feb 2019 12:38:04 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 14F2A30DA
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Feb 2019 12:38:02 -0500 (EST)
Received: from web3 ([10.202.2.213])
 by compute7.internal (MEProxy); Mon, 11 Feb 2019 12:38:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=gbIqpk
 empTMZaEIcthmzppdzZ3oB5W+xZw17xptrNss=; b=MyP/uPqE4BBHNMaosXcqOo
 LLs9XVli7sKk7wdjN8faK5yKBdxIlzvlzAONXnOPJzx2XL9PV+OIpixFciRvhlOD
 6CgP9TcPB+8gff8Z1AGlgYHwOijV/0Mg+fzdeBE1FC3tcT+9CzFnQgUbtWRpFPjj
 vZb+1aWyGG6f2i+WWiiGlpfZmUPuC1OCpmQxnIe8hGQa31MoZlGc0qScsz5kPt6/
 tLPCRy6bDVBxpFY90d3QPYsQNNfAs/OtMDe3EXabMTVU671m9/hAtJzWEDt5j3RT
 vcbFHZVqhTi4EoRmTtwym5vdo4wDe7evXBzPYqa08cB2SPXCM9nn6J1MkPSgvBVQ
 ==
X-ME-Sender: <xms:-bJhXPVwtuMEyaeRFN0AQX3R9Lk33giRhQvhB4m2vaIEoEPJ_YcpOA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrleelgdekhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpefkhffvggfgtgfoufffsehtjeertdertdejnecuhfhrohhmpeetrg
 hrohhnucfjohhnvgihtghuthhtuceorggrrhhonhesshihshhtvghmjeeirdgtohhmqeen
 ucfrrghrrghmpehmrghilhhfrhhomheprggrrhhonhesshihshhtvghmjeeirdgtohhmne
 cuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:-bJhXACRyb5-Oxr9zo3UJJsXdDhkQBUttpslK-q63C2kjhD7zqvAIg>
 <xmx:-bJhXL0sBuRPOuPZyQjlpVX0c8jixob9NcM4Y4uUSQo6oOPIxQ-s3w>
 <xmx:-bJhXK2phC39xLipjCp4AlofBjv9RZ4Dy-4FvRh8kBbLe-JSRxdTxA>
 <xmx:-bJhXBLxqWN8D_TVZTPMPS6ILtYFjQ507PE2R3tJXCcnyjacb5ymjQ>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 5D6F69E54B; Mon, 11 Feb 2019 12:38:01 -0500 (EST)
Message-Id: <1549906681.2082282.1655686112.0DB7176B@HIDDEN>
From: Aaron Honeycutt <aaron@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-950b8783
Subject: Emacs GTK bug
Date: Mon, 11 Feb 2019 10:38:01 -0700
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 64.147.123.25
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 11 Feb 2019 13:00:46 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Folks,

I'm seeing a bug in the Ubuntu/Debian built of emacs-gtk which is version 1.25.2+1-11. When the display is set to 200% or more (for HiDPI panels) there is a rendering issue with non-standard modes that don't comes with standard Emacs. For example, you can open another frame by C-x-5-2 and then in the new frame, the menus will work sometimes.





Acknowledgement sent to Aaron Honeycutt <aaron@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34440; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Feb 2019 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.